# SingleListener

This class represents a Listener with only one event to listen to.

interface SingleListener<T : Event> : Listener
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
onEvent
Link copied to clipboard
abstract fun onEvent(event: T)
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Extensions

register
Link copied to clipboard

Registers the SingleListener with its event listener.

inline fun <T : Event> SingleListener<T>.register(priority: EventPriority, ignoreCancelled: Boolean)
Content copied to clipboard